DateTime::__set_state
DateTime::setISODate
DateTime
PHP Manual

# DateTime::setDate

(PHP 5 >= 5.2.0)

DateTime::setDate — Sets the date

### Description

public DateTime DateTime::setDate ( int `$year` , int `$month` , int `$day` )
DateTime date_date_set ( DateTime `$object` , int `$year` , int `$month` , int `$day` )

Resets the current date of the DateTime object to a different date.

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create()

`year`

  Year of the date.

`month`

  Month of the date.

`day`

  Day of the date.

### Return Values

Returns the modified DateTime.

### Changelog

Version | Description
--- | ---
5.3.0 | Changed the return value from `NULL` to DateTime.

### Examples

Example #1 Object oriented example usage

`<?php
date_default_timezone_set('Europe/London');
$datetime = new DateTime('2008-08-03 14:52:10');
$datetime->setDate(2008, 10, 12);
echo $datetime->format(DATE_RFC2822);
?>`

Example #2 Procedural example usage

`<?php
date_default_timezone_set('Europe/London');
$datetime = date_create('2008-08-03 14:52:10');
date_date_set($datetime, 2008, 10, 12);
echo date_format($datetime, DATE_RFC2822);
?>`

The above example will output:

    Sun, 12 Oct 2008 14:52:10 +0100

### See Also

- DateTime::setISODate() - Sets the ISO date
- DateTime::setTime() - Sets the time

DateTime::__set_state
DateTime::setISODate
DateTime
PHP Manual